Controllers

List Controllers

GET
/orgs/{organizationId}/controllers

Lists controllers with pagination, filtering, and sorting.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""name""efuseId""publicKeyPem""model""type""createdAt""updatedAt""lastSeenAt""lastSyncAt""version""metadata""controllerGroupId""controllerSettingsId"
sortDir?string
Value in"asc""desc"
include?|array<>|string
controllerGroupId?string|array<string>|null
type?|array<>|
createdAt?|null
updatedAt?|null
lastSeenAt?|null
lastSyncAt?|null
name?string|array<string>|
efuseId?string|array<string>|
publicKeyPem?string|array<string>|
model?string|array<string>|
version?string|array<string>|
controllerSettingsId?string|array<string>|
metadata?
hasNfcTagTransactions?boolean|string|number|null
hasNoNfcTagTransactions?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
nfcTagTransactionId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
hasControllerGroup?boolean|string|number|null
hasNoControllerGroup?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/controllers'
null